<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Services\Entities\FctServicoorca as EntitySmIntegracoes;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class FctServicoorca
{
    public function save(EntitySmIntegracoes $entitySmIntegracoes = null, $nrorg, $cdoperador, $dtinclusao, $nmservorca, $dsservorca, $idlicenusomanut){

        if ($entitySmIntegracoes === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "FCT_SERVICOORCA", 1, 10, false, false);
            $entitySmIntegracoes = new EntitySmIntegracoes();
            $entitySmIntegracoes->setCdservorca($novoCodigo);
            $entitySmIntegracoes->setDtinclusao($dtinclusao);
            $entitySmIntegracoes->setNrorginclusao($nrorg);
            $entitySmIntegracoes->setCdoperinclusao($cdoperador);
        }

        $entitySmIntegracoes->setNrorg($nrorg);
        $entitySmIntegracoes->setDtultatu($dtinclusao);
        $entitySmIntegracoes->setNrorgultatu($nrorg);
        $entitySmIntegracoes->setCdoperultatu($cdoperador);
        $entitySmIntegracoes->setNmservorca($nmservorca);
        $entitySmIntegracoes->setDsservorca($dsservorca);
        $entitySmIntegracoes->setIdlicenusomanut($idlicenusomanut);
        return $entitySmIntegracoes;
    }
}